This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 767075 - [abrt] transmission-gtk-2.42-2.fc16: g_object_unref: Process /usr/bin/transmission-gtk was killed by signal 11 (SIGSEGV)
[abrt] transmission-gtk-2.42-2.fc16: g_object_unref: Process /usr/bin/transmi...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: transmission (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rahul Sundaram
Fedora Extras Quality Assurance
abrt_hash:a984e5ecc599bc48c7256bb5d20...
:
: 758253 761396 766407 766593 766937 766947 766990 767040 767209 768085 768322 768544 768558 769003 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-13 01:43 EST by Renich Bon Ciric
Modified: 2013-01-20 14:52 EST (History)
20 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-19 19:14:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (36.11 KB, text/plain)
2011-12-13 01:43 EST, Renich Bon Ciric
no flags Details
File: smolt_data (4.06 KB, text/plain)
2011-12-13 01:43 EST, Renich Bon Ciric
no flags Details
File: maps (43.73 KB, text/plain)
2011-12-13 01:43 EST, Renich Bon Ciric
no flags Details
File: dso_list (8.95 KB, text/plain)
2011-12-13 01:43 EST, Renich Bon Ciric
no flags Details

  None (edit)
Description Renich Bon Ciric 2011-12-13 01:43:43 EST
libreport version: 2.0.7
abrt_version:   2.0.6
backtrace_rating: 4
cmdline:        transmission-gtk /home/renich/Downloads/MICROSOFT_WINDOWS_7_ENTERPRISE_ACTIVATOR_[thethingy]_.6512858.TPB.torrent
comment:        I was setting up the incomplete file location folder
crash_function: g_object_unref
executable:     /usr/bin/transmission-gtk
kernel:         3.1.5-1.fc16.x86_64
pid:            19877
pwd:            /home/renich
reason:         Process /usr/bin/transmission-gtk was killed by signal 11 (SIGSEGV)
time:           Tue 13 Dec 2011 12:35:58 AM CST
uid:            1000
username:       renich
var_log_messages: Dec 13 00:35:59 introdesk abrt[19966]: Saved core dump of pid 19877 (/usr/bin/transmission-gtk) to /var/spool/abrt/ccpp-2011-12-13-00:35:58-19877 (105799680 bytes)

backtrace:      Text file, 36980 bytes
dso_list:       Text file, 9169 bytes
maps:           Text file, 44782 bytes
smolt_data:     Text file, 4154 bytes

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=introdesk.g02.org
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:MM_NOTTTY=1
:GPG_AGENT_INFO=/tmp/keyring-E8OC63/gpg:0:1
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=8edc4d238a578c66641ef6b000000010-1323742597.880386-1129074073
:GNOME_KEYRING_CONTROL=/tmp/keyring-E8OC63
:IMSETTINGS_MODULE=none
:USER=renich
:DESKTOP_AUTOSTART_ID=101052eba29201c368132374259872547500000017080002
:LD_LIBRARY_PATH=/opt/google/chrome:/opt/google/chrome/lib
:SSH_AUTH_SOCK=/tmp/keyring-E8OC63/ssh
:USERNAME=renich
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1708,unix/unix:/tmp/.ICE-unix/1708
:MAIL=/var/spool/mail/renich
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/renich/.local/bin:/home/renich/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/renich
:SANDBOX_LD_LIBRARY_PATH=/opt/google/chrome:/opt/google/chrome/lib
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1701
:LANG=en_US.utf8
:GDM_LANG=en_US.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:HOME=/home/renich
:XDG_SEAT=seat0
:SHLVL=2
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:CHROME_WRAPPER=/opt/google/chrome/google-chrome
:LOGNAME=renich
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-MQG1JVjnjt,guid=3ab67b46957d54a301c93cfc0000002a
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:CHROME_VERSION_EXTRA=stable
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/renich
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-renich-uA2dGa/database
:_=/usr/bin/gvfs-open
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/transmission-gtk.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=19877

event_log:
:2011-12-13-00:36:21> Querying server settings
:2011-12-13-00:36:22  Preparing an archive to upload
:2011-12-13-00:36:25  Uploading 2 megabytes
:2011-12-13-00:36:26  Upload successful
:2011-12-13-00:36:27  Retrace job started
:2011-12-13-00:36:37  Initializing virtual root
:2011-12-13-00:36:47  Initializing virtual root
:2011-12-13-00:36:58  Initializing virtual root
:2011-12-13-00:37:08  Initializing virtual root
:2011-12-13-00:37:19  Initializing virtual root
:2011-12-13-00:37:29  Initializing virtual root
:2011-12-13-00:37:39  Initializing virtual root
:2011-12-13-00:37:50  Initializing virtual root
:2011-12-13-00:38:00  Initializing virtual root
:2011-12-13-00:38:10  Initializing virtual root
:2011-12-13-00:38:21  Initializing virtual root
:2011-12-13-00:38:31  Initializing virtual root
:2011-12-13-00:38:42  Initializing virtual root
:2011-12-13-00:38:52  Initializing virtual root
:2011-12-13-00:39:02  Initializing virtual root
:2011-12-13-00:39:13  Initializing virtual root
:2011-12-13-00:39:23  Initializing virtual root
:2011-12-13-00:39:33  Initializing virtual root
:2011-12-13-00:39:44  Initializing virtual root
:2011-12-13-00:39:54  Initializing virtual root
:2011-12-13-00:40:05  Initializing virtual root
:2011-12-13-00:40:15  Initializing virtual root
:2011-12-13-00:40:25  Initializing virtual root
:2011-12-13-00:40:36  Cleaning up virtual root
:2011-12-13-00:40:46  Retrace job finished successfully
:2011-12-13-00:43:19> Element 'xsession_errors' saved
:2011-12-13-00:43:21> Smolt profile successfully saved

xsession_errors:
:(transmission-gtk:19877): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed
:(transmission-gtk:20073): GLib-GIO-CRITICAL **: g_file_new_for_path: assertion `path != NULL' failed
:(transmission-gtk:20073): GLib-GIO-CRITICAL **: g_file_trash: assertion `G_IS_FILE (file)' failed
:(transmission-gtk:20073): GLib-GIO-CRITICAL **: g_file_delete: assertion `G_IS_FILE (file)' failed
:(transmission-gtk:20073): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed
:(transmission-gtk:20073): GLib-GIO-CRITICAL **: g_file_new_for_path: assertion `path != NULL' failed
:(transmission-gtk:20073): GLib-GIO-CRITICAL **: g_file_trash: assertion `G_IS_FILE (file)' failed
:(transmission-gtk:20073): GLib-GIO-CRITICAL **: g_file_delete: assertion `G_IS_FILE (file)' failed
:(transmission-gtk:20073): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed
:(transmission-gtk:20073): GLib-GIO-CRITICAL **: g_file_new_for_path: assertion `path != NULL' failed
:(transmission-gtk:20073): GLib-GIO-CRITICAL **: g_file_trash: assertion `G_IS_FILE (file)' failed
:(transmission-gtk:20073): GLib-GIO-CRITICAL **: g_file_delete: assertion `G_IS_FILE (file)' failed
:(transmission-gtk:20073): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed
Comment 1 Renich Bon Ciric 2011-12-13 01:43:46 EST
Created attachment 546107 [details]
File: backtrace
Comment 2 Renich Bon Ciric 2011-12-13 01:43:47 EST
Created attachment 546108 [details]
File: smolt_data
Comment 3 Renich Bon Ciric 2011-12-13 01:43:49 EST
Created attachment 546109 [details]
File: maps
Comment 4 Renich Bon Ciric 2011-12-13 01:43:53 EST
Created attachment 546110 [details]
File: dso_list
Comment 5 jonathan.eidsness 2011-12-22 17:54:38 EST
Package: transmission-gtk-2.42-2.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
While trying to change the location of a file, it crashed when i tried to go to my home folder on the file selection screen
Comment 6 abrt-bot 2012-03-20 15:32:25 EDT
Backtrace analysis of bugs across components suggests the actual bug might be in component glib2 instead of component transmission. You might want to inspect the backtraces from the bugs listed below to find out the correct component.

Bugs which were found to be similar to this bug: 
  anjuta: bug #766225
  audacious: bug #766623
  control-center: bug #768544
  empathy: bug #759110
  evince: bug #767275
  evolution: bug #758402, bug #766874, bug #768103
  file-roller: bug #766407, bug #766990, bug #767040
  gedit: bug #758253, bug #761396, bug #766285, bug #767809, bug #768322, bug #768558
  gnome-tweak-tool: bug #766937
  gnome-utils: bug #767209
  gtk3: bug #766355, bug #766947
  rhythmbox: bug #766205, bug #768085, bug #769003
  totem: bug #766251, bug #766593

This comment is automatically generated.
Comment 7 abrt-bot 2012-03-20 15:32:37 EDT
*** Bug 766937 has been marked as a duplicate of this bug. ***
Comment 8 abrt-bot 2012-03-20 15:32:47 EDT
*** Bug 766593 has been marked as a duplicate of this bug. ***
Comment 9 abrt-bot 2012-03-20 15:32:56 EDT
*** Bug 766947 has been marked as a duplicate of this bug. ***
Comment 10 abrt-bot 2012-03-20 15:33:05 EDT
*** Bug 768085 has been marked as a duplicate of this bug. ***
Comment 11 abrt-bot 2012-03-20 15:33:13 EDT
*** Bug 768322 has been marked as a duplicate of this bug. ***
Comment 12 abrt-bot 2012-03-20 15:33:23 EDT
*** Bug 767209 has been marked as a duplicate of this bug. ***
Comment 13 abrt-bot 2012-03-20 15:33:30 EDT
*** Bug 761396 has been marked as a duplicate of this bug. ***
Comment 14 abrt-bot 2012-03-20 15:33:39 EDT
*** Bug 758253 has been marked as a duplicate of this bug. ***
Comment 15 abrt-bot 2012-03-20 15:33:46 EDT
*** Bug 766990 has been marked as a duplicate of this bug. ***
Comment 16 abrt-bot 2012-03-20 15:33:54 EDT
*** Bug 766407 has been marked as a duplicate of this bug. ***
Comment 17 abrt-bot 2012-03-20 15:34:03 EDT
*** Bug 768558 has been marked as a duplicate of this bug. ***
Comment 18 abrt-bot 2012-03-20 15:34:10 EDT
*** Bug 767040 has been marked as a duplicate of this bug. ***
Comment 19 abrt-bot 2012-03-20 15:34:20 EDT
*** Bug 769003 has been marked as a duplicate of this bug. ***
Comment 20 abrt-bot 2012-03-20 15:34:27 EDT
*** Bug 768544 has been marked as a duplicate of this bug. ***
Comment 21 Fedora End Of Life 2013-01-16 10:36:15 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 22 KitchM 2013-01-16 16:30:02 EST
Has this bug been fixed?  Does it still exist in the latest version?
Comment 23 KitchM 2013-01-19 23:09:14 EST
Well?????????
Comment 24 Rahul Sundaram 2013-01-19 23:16:14 EST
Should be fixed in the current release, yes.
Comment 25 KitchM 2013-01-20 14:32:55 EST
What, no guarantee?
Comment 26 Rahul Sundaram 2013-01-20 14:52:48 EST
If you incur it again, feel free to reopen this bug report.

Note You need to log in before you can comment on or make changes to this bug.